function ihb_TalSpaceTransparencyMenuCB(x)
%==================================================================================
% Callback function for Transparency Menu Item
% x == 1.0  - Opaque
% x == 0.8  - Low
% x == 0.5  - Medium
% x == 0.2  - High
%==================================================================================
%----------------------------------------------------------------------------------
%   23.04.01    Sergey Pakhomov
%----------------------------------------------------------------------------------
dflFileName = ihb_FileFolderName('dfl');
load(dflFileName, 'ihbdfl_transparency');
if ihbdfl_transparency == x
    return;
else
    ihbdfl_transparency = x;
end
save(dflFileName, 'ihbdfl_transparency', '-append');
%----------------------------------------------------------------------------------
% Set check on/off
%----------------------------------------------------------------------------------
ihb_TalSpaceSetMenuCheck;
%----------------------------------------------------------------------------------
% Change transparency
%----------------------------------------------------------------------------------
hSurface = findobj('Type', 'patch', 'Tag', 'ihb_surfaceCluster');
if ~isempty(hSurface)
    set(hSurface, 'FaceAlpha', ihbdfl_transparency);
end