function ihb_SaveAsPictureCB(format)
%==================================================================================
% FORMAT ihb_SaveAsPicture(format)
% Callback function for SaveAsPicture menu item
%----------------------------------------------------------------------------------
%   05.10.01    Sergey Pakhomov
%   05.10.01    Last modified
%----------------------------------------------------------------------------------
switch format
case 'JPEG'
    wildcard = '*.jpg';
    device = '-djpeg';
case 'PNG'
    wildcard = '*.png';
    device = '-dpng';
case 'TIFF'
    wildcard = '*.tif';
    device = '-dtiff';
otherwise
end
%----------------------------------------------------------------------------------
[fname,pname] = uiputfile(wildcard,'Select file to save graphic');
if (~ischar(fname) | ~ischar(pname))
    warndlg('No file specifyed','Can not save data');
    return;
else
    print(device, '-r300', strcat(pname,fname));
end;
%----------------------------------------------------------------------------------
