function ihb_TalSpaceLineWidthMenuCB(n)
%==================================================================================
% Callback function for Reset Menu Item
%==================================================================================
%----------------------------------------------------------------------------------
%   23.04.01    Sergey Pakhomov
%----------------------------------------------------------------------------------
dflFileName = ihb_FileFolderName('dfl');
load(dflFileName, 'ihbdfl_line_width');
if ihbdfl_line_width == n
    return;
else
    ihbdfl_line_width = n;    
end;
save(dflFileName, 'ihbdfl_line_width', '-append');
%----------------------------------------------------------------------------------
% Set check on/off
%----------------------------------------------------------------------------------
ihb_TalSpaceSetMenuCheck;
%----------------------------------------------------------------------------------
% Change line width
%----------------------------------------------------------------------------------
hLine = findobj('Type', 'line', 'Tag', 'ihb_LineOriginal');
if ~isempty(hLine)
    set(hLine, 'LineWidth', ihbdfl_line_width);
end
hLine = findobj('Type', 'line', 'Tag', 'ihb_LineSymmetrical');
if ~isempty(hLine)
    set(hLine, 'LineWidth', ihbdfl_line_width);
end
hPatch = findobj('Type', 'patch', 'Tag', 'ihb_cntAxial');
if ~isempty(hPatch)
    set(hPatch, 'LineWidth', ihbdfl_line_width);
end
hPatch = findobj('Type', 'patch', 'Tag', 'ihb_cntFrontal');
if ~isempty(hPatch)
    set(hPatch, 'LineWidth', ihbdfl_line_width);
end
hPatch = findobj('Type', 'patch', 'Tag', 'ihb_cntSaggitalL');
if ~isempty(hPatch)
    set(hPatch, 'LineWidth', ihbdfl_line_width);
end
hPatch = findobj('Type', 'patch', 'Tag', 'ihb_cntSaggitalR');
if ~isempty(hPatch)
    set(hPatch, 'LineWidth', ihbdfl_line_width);
end
%----------------------------------------------------------------------------------
